The Brooker Group

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/the-brooker-group/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1663113600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": null,
    "holding_balance": 122.3,
    "holding_net_change": 122.3,
    "transaction_value_usd": 2477057.600514583,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://weblink.set.or.th/dat/news/202508/0634NWS140820251854142290E.pdf",
    "holding_balance": 164.7,
    "holding_net_change": 42.4,
    "transaction_value_usd": 4545418.648,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    164.7
  ],
  [
    1779062400000,
    164.7
  ],
  [
    1779148800000,
    164.7
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    12752697.942
  ],
  [
    1779062400000,
    12672721.269
  ],
  [
    1779148800000,
    12642373.647
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.17,
    "date": "2026-05-15",
    "high": 0.18,
    "open": 0.17,
    "close": 0.17,
    "volume": 1473764
  },
  {
    "low": 0.16,
    "date": "2026-05-18",
    "high": 0.18,
    "open": 0.17,
    "close": 0.17,
    "volume": 6180673
  },
  {
    "low": 0.16,
    "date": "2026-05-19",
    "high": 0.17,
    "open": 0.17,
    "close": 0.17,
    "volume": 2124171
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.861,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -10.53,
  "six_month_return": -43.33,
  "three_month_return": -29.17
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/the-brooker-group/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.7,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}